inlets = 7; //r g b a size rotation shape (circle or square)

var red = 0.;
var green = 0.;
var blue = 0.;
var alpha = 0.;
var width = .2;
var rot = 0;
var shape = 0;


var sketch = new JitterObject("jit.gl.sketch","test");
sketch.glenable("blend");
sketch.gldisable("depth");
//sketch.glblendfunc("src_alpha","gl_one");
sketch.glblendfunc("gl_src_alpha","gl_one_minus_src_alpha");





function msg_float(a) {
	
	switch(inlet) {
		
		case(0):
		red = a;
		outlet(0, "red: " + red);
		break;
		
		case(1):
		green = a;
		break;
		
		case(2):
		blue = a;
		break;
		
		case(3):
		alpha = a;
		break;
		
		case(4):
		width = a;
		break;
		
		case(5):
		rot = a;
		break;
		
		case(6):
		shape = a;
		outlet(0, "shape: " + shape);
		break;

	}
	
	bang();
}

function bang(){
	
	sketch.reset();	
		
	if(shape==0){
		drawCircle(0,0,width,alpha,rot);
		}
	if(shape==1){   
		drawRect(0,0,width,alpha,rot);
		outlet(0, shape);
		}

	sketch.glcolor(1.,1.,1.,.5);
	
	sketch.glpushmatrix();
	sketch.gltranslate(0,0);
	sketch.glrotate(0,0,0,1);
	sketch.glrect(-1.5,-1.0,1.5,1.0);
	sketch.glpopmatrix();
}

function drawRect(xpos,ypos,w,a,r){
	var x = xpos;
	var y = ypos;
	var width = w;
	var alpha = a;
	var rot = r;
	var x1 = x-(.5*width);
	var y1 = y-(.5*width);
	var x2 = x+(.5*width);
	var y2 = y+(.5*width);
	
	sketch.glcolor(red,green,blue,alpha);
	
	sketch.glpushmatrix();
	sketch.gltranslate(0,0);
	sketch.glrotate(rot,0,0,1);
	sketch.glrect(x1,y1,x2,y2);
	sketch.glpopmatrix();
	}

function drawCircle(xpos,ypos,w,a,r){
	
	var x = xpos;
	var y = ypos;
	var width = w/2;
	var alpha = a;
	var rot = r;
	
	sketch.glcolor(red,green,blue,alpha);

	sketch.glpushmatrix();
	sketch.gltranslate(0,0);
	sketch.glrotate(rot, 0, 0, 1);
	sketch.ellipse(width,width);
	sketch.glpopmatrix();
}	
	